> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecontextlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List an agent's provisioned schedules



## OpenAPI

````yaml https://platform.usecontextlayer.com/api/openapi.json get /slates/{target}/agents/{name}/schedules
openapi: 3.1.0
info:
  title: ContextLayer Platform
  version: 0.1.0
servers:
  - url: https://platform.usecontextlayer.com/api
security: []
tags:
  - name: Slates
  - name: Slate routing
  - name: Slate resources
  - name: Accounts
  - name: Shared secrets
  - name: Agents
  - name: Agent jobs
paths:
  /slates/{target}/agents/{name}/schedules:
    get:
      tags:
        - Agents
      summary: List an agent's provisioned schedules
      operationId: listAgentSchedules
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: name
          in: path
        - schema:
            anyOf:
              - type: string
                format: uuid
              - type: string
          required: true
          name: target
          in: path
      responses:
        '200':
          description: Native provisioned authored cron schedule records
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    callback:
                      type: string
                    cron:
                      type: string
                    id:
                      type: string
                    payload:
                      type: object
                      properties:
                        name:
                          type: string
                          minLength: 1
                        prompt:
                          type: string
                          minLength: 1
                        actor:
                          oneOf:
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - app
                              required:
                                - type
                            - type: object
                              properties:
                                id:
                                  type: string
                                  minLength: 1
                                type:
                                  type: string
                                  enum:
                                    - user
                              required:
                                - id
                                - type
                        schedule:
                          type: string
                          minLength: 1
                        slateId:
                          type: string
                          format: uuid
                      required:
                        - name
                        - prompt
                        - actor
                        - schedule
                        - slateId
                      additionalProperties: false
                    retry:
                      type: object
                      properties:
                        baseDelayMs:
                          type: number
                        maxAttempts:
                          type: number
                        maxDelayMs:
                          type: number
                    time:
                      type: number
                    type:
                      type: string
                      enum:
                        - cron
                  required:
                    - callback
                    - cron
                    - id
                    - payload
                    - time
                    - type
        '400':
          description: Invalid slate target or agent name
        '401':
          description: A valid ContextLayer login is required
        '403':
          description: Only the Owner or owning organization members may inspect schedules
        '404':
          description: Slate not found
      security:
        - bearerAuth: []
        - webCookie: []
        - localWebCookie: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    webCookie:
      in: cookie
      name: __Secure-better-auth.session_token
      type: apiKey
    localWebCookie:
      in: cookie
      name: better-auth.session_token
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.